import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetTraceBackSNListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetTraceBackSNListParams> = {
  trackId: '',
};
export const context = createTableSearchContext(contextState);
export const PRELOAD_KEY = '/deliver_sn';
